*,
::before,
::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0 4px;
  height: 100vh;
  overflow: hidden;
  line-height: 1.5;
  font-family: 'Inconsolata', sans-serif;
  font-size: 62.5%;
  color: #fff;
  background-color: #1d1e22;
}

::-webkit-scrollbar {
  width: 8px;
  height: 6px;
}

::-webkit-scrollbar-track {
  background-color: #1d1e22;
}

::-webkit-scrollbar-thumb {
  border-radius: 16px;
  background-color: rgb(63, 17, 63);
}

::-webkit-scrollbar-thumb:hover {
  background-color: rgb(119, 28, 119);
}

a {
  text-decoration: none;
  color: #e9e9e9;
}

a:hover,
a.leadlink {
  color: #817176;
}

h1,
h2,
header a {
  text-transform: uppercase;
}

.smooth {
  margin: 0 auto;
  padding: 0 4px;
  padding-left: 8px;
  height: 100%;
  overflow-x: hidden;
  overflow-y: scroll;
  scroll-behavior: smooth;
}

header,
footer {
  position: relative;
  padding: 32px 48px;
  display: flex;
  align-items: center;
  font-size: 16px;
}

header {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 2;
  height: 10vh;
  background-color: #1d1e22;
}

header h3 {
  position: relative;
  margin: 0;
  font-family: 'Montserrat', sans-serif;
  font-size: 48px;
  color: rgb(119, 28, 119);
}

header ul {
  list-style-type: none;
  padding: 0;
  margin: 16px 0;
  display: flex;
  width: 100%;
  justify-content: flex-end;
  align-items: center;
}

header ul li {
  position: relative;
  margin: 0 16px;
  transition: all 0.2s linear;
}

header ul li a {
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
  color: #fff;
}

header ul li::before {
  position: absolute;
  content: '';
  top: calc(100% + 4px);
  left: 0;
  width: 20px;
  height: 2px;
  background-color: #fff;
  transform-origin: 0 100%;
  transform: rotate(-5deg);
  transition: all 0.2s ease-out;
}

header ul li:hover::before {
  width: 100%;
  background-color: rgb(119, 28, 119);
}

.grid {
  display: grid;
  grid-gap: 32px;
}

.grid.g_two {
  grid-template-columns: 1fr minmax(300px, auto);
}

.flex {
  display: flex;
  width: 100%;
  align-items: center;
}

.flex.column {
  flex-flow: column wrap;
  justify-content: space-between;
}

.jcsb {
  justify-content: space-between;
}

progress {
  position: relative;
  margin: 32px 0;
}

progress[value] {
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  max-width: 360px;
  height: 1px;
}

progress::-webkit-progress-bar {
  background-color: #666;
  border-radius: 32px;
}

progress::-webkit-progress-value {
  position: absolute;
  top: -2px;
  left: 0;
  background-color: rgb(119, 28, 119);
  border-radius: 32px;
  height: 5px;
}

section {
  position: relative;
  display: flex;
  min-height: 100vh;
  padding: 32px 48px;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  border-radius: 16px;
  background-color: #191a1d;
}

section:nth-child(odd) {
  background-color: #1d1e22;
}

section#atas {
  background-image: url("../Images/truck.jpg");
  background-position: center bottom;
  background-size: cover;
  color: #fff;
}

section#atas h1 {
  visibility: hidden;
  opacity: 0;
  font-family: 'Montserrat', sans-serif;
  font-size: 0;
}

section#atas .title {
  min-width: 350px;
  max-height: 80px;
  font-family: 'Montserrat', sans-serif;
  font-size: 48px;
  font-weight: 600;
}

section#atas .title text {
  letter-spacing: 2px;
  fill: none;
  stroke: #fff;
  stroke-width: 2;
  stroke-linecap: round;
}

section#atas .title path {
  stroke: #fff;
  stroke-width: 4;
  animation-delay: 1s;
}

section#atas::after {
  position: absolute;
  content: '';
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-image: linear-gradient(0deg, rgba(29, 30, 34, 0.3), #1d1e22);
}

section#tengah .block img {
  width: 80px;
  height: 80px;

}

section#tengah .blocks {
  padding: 32px 0;
  display: flex;
  width: 100%;
  flex-flow: row wrap;
  justify-content: space-around;
  align-items: center;
}

section#tengah .blocks .block {
  margin: 0 auto;
  display: flex;
  width: 23%;
  height: 150px;
  justify-content: center;
  align-items: center;
  border: 3px solid #312d3c;
  border-radius: 16px;
  background-color: #191a1d;
  transition: all 0.2s linear;
}

section#tengah .blocks .block:hover {
  transform: translateY(-10px);
  background-color: rgb(119, 28, 119);
}

section h2 {
  font-family: 'Montserrat', sans-serif;
}

section h2 span {
  color: rgb(119, 28, 119);
}

.content {
  position: relative;
  z-index: 1;
  display: flex;
  align-items: center;
}

.content p.lead {
  font-size: 20px;
}

.content .blur {
  position: relative;
  overflow: hidden;
  margin: auto;
  margin-left: 32px;
  padding: 16px;
  width: 100%;
  height: 350px;
  border-radius: 0.35em;
}

.content .blur::before {
  position: absolute;
  content: '';
  top: -25%;
  left: -25%;
  width: 150%;
  height: 150%;
  box-shadow: inset 0 0 0 600px rgba(255, 255, 255, 0.3);
  filter: blur(10px);
}

form {
  position: relative;
  z-index: 3;
  padding: 16px;
  display: flex;
  width: 100%;
  height: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  border: 2px solid #fff;
  border-radius: 0.35em;
}

form img {
  width: 64px;
  height: 64px;
}

form input {
  margin-bottom: 16px;
  min-height: 48px;
  font-size: 16px;
  color: #fff;
  border: 0;
  border-bottom: 2px solid #fff;
  background: none;
}

form input::placeholder {
  position: relative;
  top: 0;
  color: inherit;
  transition: all 0.2s linear;
}

form input:focus {
  outline: none;
}

form input:focus::placeholder {
  top: -1.25em;
  font-size: 13.2px;
}

form .button {
  position: relative;
  margin-top: 16px;
  padding: 16px 48px;
  text-transform: uppercase;
  display: block;
  font-size: 16px;
  cursor: pointer;
  color: #fff;
  border: 0;
  border-radius: 0.35em;
  background-color: rgb(119, 28, 119);
}


/*INI ANIMASI, JANGAN DIUBAH */

str-style,
section#atas .title text,
section#atas .title path {
  stroke-dasharray: 700;
  stroke-dashoffset: 1000;
  animation: dash 4s linear forwards;
}

@media (max-width: 991px) {
  .blur {
    display: none;
  }

  .content {
    text-align: center;
  }

  .content h1::before {
    display: none;
  }
}

@-moz-keyframes hearts {
  50% {
    transform: scale(1.4);
  }
}

@-webkit-keyframes hearts {
  50% {
    transform: scale(1.4);
  }
}

@-o-keyframes hearts {
  50% {
    transform: scale(1.4);
  }
}

@keyframes hearts {
  50% {
    transform: scale(1.4);
  }
}

@-moz-keyframes dash {
  90% {
    stroke-dashoffset: 0;
  }

  100% {
    stroke-dashoffset: 0;
    fill: #fff;
  }
}

@-webkit-keyframes dash {
  90% {
    stroke-dashoffset: 0;
  }

  100% {
    stroke-dashoffset: 0;
    fill: #fff;
  }
}

@-o-keyframes dash {
  90% {
    stroke-dashoffset: 0;
  }

  100% {
    stroke-dashoffset: 0;
    fill: #fff;
  }
}

@keyframes dash {
  90% {
    stroke-dashoffset: 0;
  }

  100% {
    stroke-dashoffset: 0;
    fill: #fff;
  }
}

.toTop {
  position: absolute;
  right: 25px;
  bottom: 25px;
  width: 150px;
  height: 150px;
  color: white;
  background: pink;
  font-size: 36px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}